package com.dcs.hnyz.service;

import java.util.List;
import java.util.Map;

import com.dcs.hnyz.domain.AlarmEvent;

/**
 * 告警中心管理Service接口
 * 
 * @author hmy
 * @date 2025-04-30
 */
public interface IAlarmEventService 
{
    /**
     * 查询告警中心管理
     * 
     * @param alarmId 告警中心管理主键
     * @return 告警中心管理
     */
    public AlarmEvent selectAlarmEventByAlarmId(Long alarmId);

    /**
     * 查询告警中心管理列表
     * 
     * @param alarmEvent 告警中心管理
     * @return 告警中心管理集合
     */
    public List<AlarmEvent> selectAlarmEventList(AlarmEvent alarmEvent);

    /**
     * 新增告警中心管理
     * 
     * @param alarmEvent 告警中心管理
     * @return 结果
     */
    public int insertAlarmEvent(AlarmEvent alarmEvent);

    /**
     * 修改告警中心管理
     * 
     * @param alarmEvent 告警中心管理
     * @return 结果
     */
    public int updateAlarmEvent(AlarmEvent alarmEvent);

    /**
     * 批量删除告警中心管理
     * 
     * @param alarmIds 需要删除的告警中心管理主键集合
     * @return 结果
     */
    public int deleteAlarmEventByAlarmIds(Long[] alarmIds);

    /**
     * 删除告警中心管理信息
     * 
     * @param alarmId 告警中心管理主键
     * @return 结果
     */
    public int deleteAlarmEventByAlarmId(Long alarmId);

    /**
     * 获取今日告警数量以及相比昨天告警变化量
     * @return
     */
    Map<String,Object> getAlarmQuantity();

    /**
     * 获取最新n条告警信息
     * @return
     */
    List<AlarmEvent> getLatestAlarm(Integer alarmCount);

    /**
     * 近七日告警数量
     * @return
     */
    List<Map<String,Object>> getAlarmEventWeeklyCount();
}
